Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

Functions
Version Information

## Functions
| yaml_get_version_string (void)
| Get the library version as a string. More...
| yaml_get_version (int *major, int *minor, int *patch)
| Get the library version numbers. More...

## Detailed Description

## Function Documentation

yaml_get_version | ( | int * | major,
|  | int * | minor,
|  | int * | patch
| ) |  |

Get the library version numbers.

Parameters

  [out] | major | Major version number.
  [out] | minor | Minor version number.
  [out] | patch | Patch version number.

Definition at line 19 of file api.c.

References YAML_VERSION_MAJOR, YAML_VERSION_MINOR, and YAML_VERSION_PATCH.

Referenced by libyaml_version().

yaml_get_version_string | ( | void |  | ) |

Get the library version as a string.

Returns
  The function returns the pointer to a static string of the form `"X.Y.Z"`, where `X` is the major version number, `Y` is a minor version number, and `Z` is the patch version number.

Definition at line 9 of file api.c.

References YAML_VERSION_STRING.